[DEFAULT]
debug = true
use_stderr = false
log_file = tempest.log

[network-feature-enabled]
ipv6_subnet_attributes = true
api_extensions = default-subnetpools,qos,availability_zone,network_availability_zone,auto-allocated-topology,ext-gw-mode,binding,agent,subnet_allocation,l3_agent_scheduler,tag,address-scope,external-net,standard-attr-tag,flavors,segment,net-mtu,network-ip-availability,qos-default,quotas,revision-if-match,l3-ha,provider,multi-provider,quota_details,l2_adjacency,trunk,extraroute,net-mtu-writable,subnet-service-types,standard-attr-timestamp,service-type,qos-rule-type-details,l3-flavors,port-security,extra_dhcp_opt,standard-attr-revisions,pagination,sorting,security-group,dhcp_agent_scheduler,router_availability_zone,rbac-policies,project-id,qos-bw-limit-direction,tag-ext,standard-attr-description,ip-substring-filtering,router,allowed-address-pairs,ip_allocation,qos-fip,trunk-details

[auth]
tempest_roles = swiftoperator
admin_username = admin
admin_project_name = admin
admin_domain_name = Default
use_dynamic_credentials = true
admin_password = KWCguATHYh28bBfxgEjyxswA9
admin_project_id = 7ca0e502d0f84b1c9a5a8c14ff9501bd

[scenario]
img_dir = /home/stack/tempest-dir/etc
img_file = cirros-0.4.0-x86_64-disk.img

[object-storage]
reseller_admin_role = ResellerAdmin
region = regionOne
operator_role = admin

[oslo-concurrency]
lock_path = /tmp

[compute-feature-enabled]
live_migration = false
live_migrate_paused_instances = true
preserve_ports = true
console_output = True
attach_encrypted_volume = False
resize = True

[identity]
username = demo
password = secrete
project_name = demo
alt_username = alt_demo
alt_password = secrete
alt_project_name = alt_demo
disable_ssl_certificate_validation = true
region = regionOne
uri = http://10.0.0.102:5000//v3
admin_password = KWCguATHYh28bBfxgEjyxswA9
auth_version = v3
uri_v3 = http://10.0.0.102:5000/v3

[image]
image_path = http://rhos-qe-mirror-rdu2.usersys.redhat.com/images/cirros-0.4.0-x86_64-disk.img
region = regionOne
http_image = http://rhos-qe-mirror-rdu2.usersys.redhat.com/images/cirros-0.4.0-x86_64-uec.tar.gz

[compute]
region = regionOne
min_compute_nodes = 2
min_microversion = 2.1
max_microversion = 2.60
flavor_ref = 83511e8b-4694-4ffd-9d93-544e99c2e0b2
flavor_ref_alt = d88d9fcd-c451-474d-9f77-0e406b7ce67f
image_ref = 9535143b-002e-40bb-a93e-3d6e8fb6971d
image_ref_alt = 9f5bfe98-4a9a-48b5-8313-cb11d0b026c4

[network]
region = regionOne
public_network_id = 0427a456-7cec-49ea-9009-2db6e44a9c58
floating_network_name = public

[orchestration]
stack_owner_role = heat_stack_owner
region = regionOne

[volume]
backend1_name = tripleo_iscsi
region = regionOne
storage_protocol = ceph
min_microversion = 3.0
max_microversion = 3.50
volume_size = 1

[volume-feature-enabled]
bootable = true
backup = True
api_v2 = False
api_v3 = True
api_extensions = OS-SCH-HNT,os-hosts,os-vol-tenant-attr,os-quota-sets,os-types-manage,os-volume-encryption-metadata,os-snapshot-actions,backups,cgsnapshots,os-used-limits,os-volume-type-access,consistencygroups,os-vol-host-attr,encryption,os-availability-zone,capabilities,os-volume-actions,os-types-extra-specs,os-snapshot-manage,os-vol-mig-status-attr,os-volume-unmanage,os-volume-manage,os-image-create,os-extended-services,os-extended-snapshot-attributes,os-snapshot-unmanage,qos-specs,os-quota-class-sets,os-volume-transfer,os-vol-image-meta,os-admin-actions,os-services,scheduler-stats,OS-SCH-HNT,os-hosts,os-vol-tenant-attr,os-quota-sets,os-types-manage,os-volume-encryption-metadata,os-snapshot-actions,backups,cgsnapshots,os-used-limits,os-volume-type-access,consistencygroups,os-vol-host-attr,encryption,os-availability-zone,capabilities,os-volume-actions,os-types-extra-specs,os-snapshot-manage,os-vol-mig-status-attr,os-volume-unmanage,os-volume-manage,os-image-create,os-extended-services,os-extended-snapshot-attributes,os-snapshot-unmanage,qos-specs,os-quota-class-sets,os-volume-transfer,os-vol-image-meta,os-admin-actions,os-services,scheduler-stats

[data-processing-feature-enabled]
plugins = ambari,cdh,mapr

[service_available]
aodh = True
ironic = False
ceilometer = True
nova = True
sahara = True
trove = False
designate = False
panko = True
glance = True
zaqar = False
gnocchi = True
neutron = True
swift = True
octavia = False
heat = True
manila = False
cinder = True
mistral = False
horizon = True

[validation]
image_ssh_user = cirros

[heat_plugin]
username = admin
password = KWCguATHYh28bBfxgEjyxswA9
admin_username = admin
admin_password = KWCguATHYh28bBfxgEjyxswA9
project_name = demo
region = regionOne
auth_url = http://10.0.0.102:5000//v3
auth_version = 3
project_domain_name = Default
user_domain_name = Default
image_ssh_user = root
network_for_ssh = public
fixed_network_name = public
disable_ssl_certificate_validation = True
minimal_instance_type = 83511e8b-4694-4ffd-9d93-544e99c2e0b2
instance_type = d88d9fcd-c451-474d-9f77-0e406b7ce67f
minimal_image_ref = 9535143b-002e-40bb-a93e-3d6e8fb6971d
image_ref = 9f5bfe98-4a9a-48b5-8313-cb11d0b026c4

[dashboard]
dashboard_url = http://10.0.0.102/dashboard/
login_url = http://10.0.0.102/dashboard/auth/login/

[identity-feature-enabled]
api_v2 = False
api_v3 = True
api_extensions = s3tokens,OS-EP-FILTER,OS-REVOKE,OS-FEDERATION,OS-INHERIT,OS-SIMPLE-CERT,OS-TRUST,OS-PKI,OS-ENDPOINT-POLICY,OS-OAUTH1,OS-EC2

[image-feature-enabled]
api_v1 = False
api_v2 = True

[object-storage-feature-enabled]
discoverable_apis = formpost,bulk_delete,versioned_writes,container_quotas,tempurl,bulk_upload,ratelimit,slo,account_quotas,staticweb

